# ``twisted`.`python`.`filepath`.`Permissions``

class documentation

`class Permissions(FancyEqMixin): (source)`

View In Hierarchy

A class representing read/write/execute permissions. Instantiate with any portion of the file's mode that includes the permission bits.

Present Since
11.1

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `shorthand` | Returns a short string representing the permission bits. Looks like what is printed by command line utilities such as 'ls -l' (e.g. 'rwx-wx--x')
Class Variable | `compareAttributes` | Undocumented
Instance Variable | `group` | Group permissions
Instance Variable | `other` | Other/World permissions
Instance Variable | `user` | User/Owner permissions

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __init__(self, statModeInt): (source)

Undocumented

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def shorthand(self): (source)
Returns a short string representing the permission bits. Looks like what is printed by command line utilities such as 'ls -l' (e.g. 'rwx-wx--x')

Returns
`str` | The shorthand string.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

group: `RWX` = (source)
Group permissions
other: `RWX` = (source)
Other/World permissions
user: `RWX` = (source)
User/Owner permissions